Package ru.bitel.bgbilling.modules.pscb.server.bean

# Class TransactionManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<Transaction>
ru.bitel.bgbilling.common.dao.AbstractIdDao<Transaction>
ru.bitel.bgbilling.server.bean.AbstractTransactionManager<Transaction>
ru.bitel.bgbilling.modules.pscb.server.bean.TransactionManager

public class TransactionManager extends AbstractTransactionManager<Transaction>

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.server.bean.AbstractTransactionManager

  `moduleSetup`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TransactionManager(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteTransactionById(int transactionId)`
  Удаление платежа из БД по его коду.
  `protected Transaction`
  `getFromRS(ResultSet rs)`
  `Transaction`
  `getTransactionById(int transactionId)`
  Получение платежа по его коду.
  `void`
  `searchTransactions(SearchResult<Transaction> searchResult, int contractId, String contractTitle, String status)`
  `protected void`
  `updateImpl(Transaction transaction)`

  ### Methods inherited from class ru.bitel.bgbilling.server.bean.AbstractTransactionManager

  `checkColumn, doConnection, doConnection, executeQuerySumPage, getParameter, getParamString, getParamString, getParamString, getPaymentData, getTransactionSumColumn, psSetId, psSetStatus, queryId, queryStatus, searchTransaction, setConnectionTimeout, setParameter`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt, prepareStatement, sqlCommand, sqlCommandAndTable, sqlQuery, sqlWhereId`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TransactionManager

    public TransactionManager(Connection con, int moduleId)

- ## Method Details

  - ### searchTransactions

    public void searchTransactions(SearchResult<Transaction> searchResult, int contractId, String contractTitle, String status) throws SQLException
    Throws:
      `SQLException`

  - ### getTransactionById

    public Transaction getTransactionById(int transactionId) throws ru.bitel.bgbilling.common.BGException
    Получение платежа по его коду. Настоятельно рекомендуется использовать именно данный метод, а не
    invalid reference

        AbstractIdDao#get(int)

    }, т.к. в последнем не учитывается join таблицы с контрактами для получения названия договора
    Parameters:
      `paymentId` - код платежа
    Returns:
      объект платежа
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateImpl

    protected void updateImpl(Transaction transaction) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<Transaction>`
    Throws:
      `SQLException`

  - ### deleteTransactionById

    public void deleteTransactionById(int transactionId) throws SQLException
    Удаление платежа из БД по его коду.
    Parameters:
      `paymentId` - код платежа
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### getFromRS

    protected Transaction getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<Transaction>`
    Throws:
      `SQLException`